Package com.opensymphony.module.sitemesh.html

# Class BasicRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule

All Implemented Interfaces:
  `TagRule`

Direct Known Subclasses:
  `BlockExtractingRule`, `BodyTagRule`, `DivExtractingPageParser.TopLevelDivExtractingRule`, `FramesetRule`, `HtmlAttributesRule`, `MetaTagRule`, `ParameterExtractingRule`, `StateTransitionRule`, `TagReplaceRule`

public abstract class BasicRule extends Object implements TagRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String[]`
`acceptableTagNames`
`protected HTMLProcessorContext`
`context`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BasicRule()`
`protected`
`BasicRule(String acceptableTagName)`
`protected`
`BasicRule(String[] acceptableTagNames)`

## Method Summary

Modifier and Type
Method
Description
`protected CharArray`
`currentBuffer()`
`abstract void`
`process(Tag tag)`
`void`
`setContext(HTMLProcessorContext context)`
`boolean`
`shouldProcess(String name)`
Called by the HTMLProcessor to determine if a rule should be called for a given tag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### acceptableTagNames

private final String[] acceptableTagNames

### context

protected HTMLProcessorContext context

## Constructor Details

### BasicRule

protected BasicRule(String[] acceptableTagNames)

### BasicRule

protected BasicRule(String acceptableTagName)

### BasicRule

protected BasicRule()

## Method Details

### setContext

public void setContext(HTMLProcessorContext context)

Specified by:
  `setContext` in interface `TagRule`

### shouldProcess

public boolean shouldProcess(String name)
Description copied from interface: `TagRule`
Called by the HTMLProcessor to determine if a rule should be called for a given tag. The name parameter will always be passed in lowercase.

Specified by:
  `shouldProcess` in interface `TagRule`

### process

public abstract void process(Tag tag)

Specified by:
  `process` in interface `TagRule`

### currentBuffer

protected CharArray currentBuffer()